# Anbox Cloud - LXD

Anbox Cloud offers a software stack that runs Android applications in any cloud enabling high-performance
streaming of graphics to desktop and mobile client devices.

At its heart, it uses lightweight container technology instead of full virtual machines to achieve higher
density and better performance per host while ensuring security and isolation of each container. Depending
on the target platform, payload, and desired application performance (e.g. frame rate), more than
100 containers can be run on a single machine.

For containerization of Android, Anbox Cloud uses the well established and secure container hypervisor
LXD. LXD is secure by design, scales to a large number of containers and provides advanced resource
management for hosted containers.

Also have a look at the official Anbox Cloud website for more information.

> NOTE: Anbox Cloud is a paid offering. You will need a Ubuntu Advantage subscription for this charm to work.
> You can learn more at https://anbox-cloud.io

> **WARNING:** The *Ubuntu Advantage for **Infrastructure*** token every user gets for free for personal
> use does **NOT** work and will result in a failed deployment! You need to use a valid
> *Ubuntu Advantage for **Applications*** token to be able to deploy successfully.

## LXD

The LXD charm is an Anbox Cloud specific charm that provides a LXD cluster for the purpose
of running Anbox containers hosting a nested Android instance.

> NOTE: This charm is not a generic LXD charm, it only works with Anbox Cloud

```sh
$ juju deploy cs:~anbox-charmers/lxd
$ juju config lxd ua_token=<your UA token>
$ juju relate ams-node-controller lxd
$ juju relate ams lxd
```

For more information about Anbox Cloud, visit the official documentation
on https://anbox-cloud.io
