#!/bin/sh
#
# Anbox - The Android in a Box runtime environment
# Copyright 2019 Canonical Ltd.  All rights reserved.
#

MAX_WAIT_ATTEMPTS=240
NETWORK_INTERFACE=$1

if [ -z "$NETWORK_INTERFACE" ]; then
    echo "ERROR: No network interface given"
    exit 1
fi

# Ensure a home directory is set as otherwise snap-confine may error out like:
# wait-for-netif[10734]: cmd_run.go:884: WARNING: cannot create user data directory: cannot create "/etc/telegraf/snap/lxd/11348": mkdir
HOME=/root /snap/bin/lxd waitready --timeout=400

n=0
while [ "$n" -lt "$MAX_WAIT_ATTEMPTS" ]; do
    if ifconfig "$NETWORK_INTERFACE" > /dev/null 2>&1 ; then
        exit 0
    fi
    sleep 1
    n=$((n+1))
done
echo "ERROR: Timed out while waiting for network interface $NETWORK_INTERFACE to show up"
exit 1
